<h2>Oregon State University Public Network Use Policy</h2>  
      <p>
         OSU provides Ethernet connections in support of the
         educational mission of OSU. Using the network at OSU is a privilege.
         As such, it is the responsibility of each patron to use these services
         appropriately and in compliance with all University, City, County,
         State and Federal regulations. The following policies are for the use
         of The OSU Public Network. These policies are in addition to <a
         href="http://osu.orst.edu/Dept/budgets/genupol/gupaccep.htm" target=
         "_blank">OSU's Acceptable Use Policy</a>, are not all-inclusive, and
         may be modified at any time.
      </p>
      <ul>
         <li>
            The OSU Public Network is a shared resource. Thus, using
            excessive bandwidth for extended periods of time and inhibiting the
            use of the network by others may result in termination of network
            services.<br>
         </li>
         <li>
            Digital reproduction and distribution of copyrighted materials is
            against federal law. Anyone found distributing (sharing) such
            material, including copyrighted music, digitized video from
            copyrighted motion pictures, copyrighted software, etc.) is subject
            to termination of network services.
         </li>
         <li>
            Attempts to circumvent or defeat any mechanism put in place by OSU
            to manage the network will be subject to immediate termination of
            network services.
         </li>
         <li>
            The OSU Public network services and wiring may not be modified
            or extended beyond the area of their intended use of one computer
            per data jack.
         </li>
         <li>
            The OSU Public network may not be used for any commercial
            purposes or used to provide Internet or OSU network access to
            anyone outside of the OSU community for any purpose.
         </li>
         <li>
            Forgery or other misrepresentation of one's identity via email or
            any other form of communication is a violation of University
            Policy. This includes forging of IP addresses or Ethernet adapter
            addresses to conceal your computer's identity.
         </li>
         <li>
            Any unauthorized attempt to access another computer (on or off
            campus) is prohibited. Attempts to access other computers will
            result in the immediate disconnection of the suspected network
            connection until the matter has been resolved.
         </li>
         <li>
            OSU assumes NO responsibility for costs associated
            with loss or damage to a patrons personal laptop computer and its
            associated peripheral equipment.
         </li>
         <li>
            Any Patron that leaves OSU will lose all privileges to The
            OSU Public Network.
         </li>
      </ul>
      <p>
         Use of network resources is governed by 
		 <a href="http://www.net.oregonstate.edu/" target="_blank">Network Engineering</a>, and
		 <a href="http://osu.orst.edu/Dept/budgets/genupol/gupaccep.htm" target="_blank">OSU's Acceptable Use Policy</a>.
      </p>
      <p>
         Questions about this policy, or whether a particular activity would
         violate it, should be addressed by contacting....
      </p>

<form method="post" enctype="multipart/form-data" style="Display:inline" action="<?= $conf['web_path']; ?><?= $_SERVER['PHP_SELF']; ?>" >
<input type="checkbox" name="agree" /> I have read, and understand the above policy<br />
<input type="hidden" name="autoreg_type" value="<?= $user->autoreg_type; ?>" />
<input type="submit" value="I Agree" />
</form>
