<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: show_autoreg_host.inc,v 1.8 2003/07/29 23:23:38 vollmerk Exp $
 $Source: /data/cvsroot/maint/templates/show_autoreg_host.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Autoregistration Host Template
	This is the form that show's either current or new 
	Mac addie for a autoreg address
*/


?>
<?
/* Up here we put the fluffy information on what this is */ 
?>
<? 
if ($host) { 

	/* Setup the history for this host */
	$history = $host->object_history->get_history();
?>
<br />
<table border="0" cellpadding="2" cellspacing="0" >
<form method="post" enctype="multipart/form-data" style="Display:inline" action="<?= $conf['web_path']; ?>/modules/autoreg.php" >
<tr align="left">
	<td colspan="2">
	<? /* This text shows if the host is "active" or not */ ?>
	<?
		if ($host->is_active()) {
			echo "<b>This Host is active.</b>";
		}
		else {
			$live_time = intval( ( ($history->date + $conf['update_time']) - time() ) / 60);
			if ($live_time == "0") { 
				echo "<font class=\"error\"><i>This Host will be active in less than one minute</i></font>";
			}
			else {
				echo "<font class=\"error\"><i>This Host will be active in about " . $live_time . " minute(s)</i></font>";
			}
		}
	?>
	</td>
</tr>

<tr align="left">
	<td>
	Hardware Address:
	<input type="textbox" size="18" value="<?= $host->ha; ?>" maxlength="18" name="mac" />
	</td>
	<td>
	Type
	<select name="hardware_type">
		<option value="Wired" <? if ($host->type == "Wired") { echo "SELECTED"; } ?> >Wired</option>
		<option value="Wireless" <? if ($host->type == "Wireless") { echo "SELECTED"; } ?> >Wireless</option>
	</select>
	</td>
	<td>
	<input type="hidden" name="action" value="update_host" />
	<input type="hidden" name="host_id" value="<?= $host->id; ?>" />
	<input type="hidden" name="aup" value="accepted" />
	<input type="hidden" name="autoreg_type" value="<?= $autoreg_type; ?>" />
	<input type="submit" value="Update Hardware Address" />&nbsp;&nbsp;&nbsp;
	<input type="submit" name="action" value="Delete" />

	</td>
</tr>
</form>
</table>
<? } elseif (!$host AND $autoreg_host) { ?>
<br />
<table border="0" cellpadding="3" cellspacing="0">
<form method="post" enctype="multipart/form-data" style="Display:inline" action="<?= $conf['web_path']; ?>/modules/autoreg.php" >
<tr align="center">
	<td colspan="3"><font class="error">The Mac Address for your computer has been detected, to add your current computer click Add Current Computer below.</font></td>
</tr>
<tr align="left">	
        <td><b>
        Hardware Address:
	<?= $autoreg_host->mac; ?></b>
        </td>
        <td>
	Type
	<select name="hardware_type">
		<option value="Wired" <? if ($host->type == "Wired") { echo "SELECTED"; } ?> >Wired</option>
		<option value="Wireless" <? if ($host->type == "Wireless") { echo "SELECTED"; } ?> >Wireless</option>
	</select>
        </td>
        <td>
	<input type="hidden" name="mac" value="<?= $autoreg_host->mac; ?>" />
        <input type="hidden" name="action" value="new_host" />
	<input type="hidden" name="autoreg_type" value="<?= $autoreg_type; ?>" />
        <input type="hidden" name="aup" value="accepted" />
        <input type="submit" value="Add Current Computer" />
        </td>
</tr>
</form>
</table>
<br /><br />
<? } else { ?>
<br /><br />
<table border="0" cellpadding="2" cellspacing="0">
<form method="post" enctype="multipart/form-data" style="Display:inline" action="<?= $conf['web_path']; ?>/modules/autoreg.php" >
<tr align="left">    
        <td>
        Hardware Address:
        <input type="textbox" size="18" maxlength="18" name="mac" /> 
	</td>
	<td>
        Type?
	<select name="hardware_type">
		<option value="Wired" <? if ($host->type == "Wired") { echo "SELECTED"; } ?> >Wired</option>
		<option value="Wireless" <? if ($host->type == "Wireless") { echo "SELECTED"; } ?> >Wireless</option>
	</select>
	</td>
        <td>      
        <input type="hidden" name="action" value="new_host" />
	<input type="hidden" name="aup" value="accepted" />
	<input type="hidden" name="autoreg_type" value="<?= $autoreg_type; ?>" />
        <input type="submit" value="Add Hardware Address" />
        </td>
</tr> 
</form>
</table>





<? } ?>
