<?php

/*

 $Id: show_workgroups.inc,v 1.9 2003/08/05 23:13:47 vollmerk Exp $
 $Source: /data/cvsroot/maint/templates/show_workgroups.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Display Many Workgroups Template
	Show a listing of the $workgroups (an array of Workgroup objects)

*/

// So this is a cheezy way of doing this... aka not the right way..
if ($_REQUEST['zone_id']) {
	$sql = "SELECT count(*) FROM workgroup WHERE zone='" . $_REQUEST['zone_id'] . "'";
}
elseif ($user->is_admin) {
	$sql = "SELECT count(*) FROM workgroup";
}


?>

<p><font class="header2">
Viewing All Workgroups
</font>
&nbsp;
</p>

<?
if ( $user->view->limit ) {
	$db_result = mysql_query($sql, $conf['dbh']);
	$total_workgroups = mysql_fetch_array($db_result);
	$conf['ui']->show_list_header($total_workgroups[0]);
}

if ($total_workgroups[0]) { 
	show_template('tborder'); 
?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" bgcolor="<?= $conf['color']->bg['body_dark']; ?>">
    		<td>
		<a href="<?= $conf['script'] ?>?action=show_workgroups&sort_type=name" title="<? $conf['help']->display_plain_txt("workgroup"); ?>">Name</a>
		<? if ($user->view->sort_type == "name") { $conf['ui']->show_arrow(); } ?>
		</td>
    		<td>
		<a href="<?= $conf['script'] ?>?action=show_workgroups&sort_type=subnet" title="<? $conf['help']->display_plain_txt("workgroup_subnet"); ?>">Subnet</a>
		<? if ($user->view->sort_type == "subnet") { $conf['ui']->show_arrow(); } ?>
		</td>
                <td>
		<a href="<?= $conf['script'] ?>?action=show_workgroups&sort_type=vlan" title="<? $conf['help']->display_plain_txt("vlan"); ?>">VLAN</a>
		<? if ($user->view->sort_type == "vlan") { $conf['ui']->show_arrow(); } ?>
		</td>
                <td>Action</td>
	</tr>

<?

foreach ($workgroups as $workgroup) {

?>
	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><? $conf['ui']->display_field($workgroup->name); ?></td>
		<td><? $conf['ui']->display_field($workgroup->subnet->subnet->ip_addr); ?>/<? $conf['ui']->display_field($workgroup->subnet->netmask->ip_addr); ?></td>
		<td><? $conf['ui']->display_field($workgroup->vlan->name); ?></td>
		<td>
		<? if ($user->is_admin) { ?>
			<a href="<?= $conf['web_path']; ?>/workgroup.php?action=edit&workgroup_id=<?= $workgroup->id ?>">Edit</a> |
			<a href="<?= $conf['web_path']; ?>workgroup.php?action=delete&workgroup_id=<?= $workgroup->id ?>">Delete</a> |
		<? } ?>
		<? if ($user->is_admin || $user->has_access($workgroup->zone) >= 50) { ?>
			<a href="<?= $conf['web_path']; ?>/option.php?action=show_options&workgroup_id=<?= $workgroup->id ?>">Options</a>
		<? } ?>
	
		</td>
	</tr>
<?
} // foreach
?>

</table>

<?

if ( $user->view->limit ) {
	$conf['ui']->show_list_header($total_workgroups[0]);
}
show_template('bborder'); 


} // end if total_workgroups
else {
	echo "<p align=\"center\" class=\"fatalerror\">No workgroups Found</p>";
}
?>


