<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: show_staging.inc,v 1.4 2003/01/11 06:11:58 vollmerk Exp $
 $Source: /data/cvsroot/maint/templates/show_staging.inc,v $

 Template for viewing/editing a staging permission entry.

*/

if ( $action == 'show_create' ) {
?>
<p><font class="header2">Create a New Staging Permission</font></p>

<p>The staging permission table defines which zone a "username" can update.  This "username"
refers to the database user that we allow the user to connect as.</p>

<?
} else {
?>
<p><font class="header2">Viewing Staging Permissions for <?= $staging->username ?></font></p>

<p>
<a href="/staging.php?action=show_create">[Create New Staging Permission]</a>
<a href="/staging.php?action=show_stagings">[View All Staging Permissions]</a>
</p>

<? } // else ?>

<? show_template('tborder'); ?>

<form enctype="multipart/form-data" method="post" action="staging.php" style="Display:inline">
<table border="0" cellpadding="2" cellspacing="0" width="100%" bgcolor="<?= $conf['color']->bg['body_light']; ?>">
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" width="100%">
                <td title="<? $conf['help']->display_plain_txt("staging_username"); ?>"><? $conf['help']->show_help_link('staging_username'); ?> Username: </td>
                <td><input name="username" value="<?= $staging->username ?>" maxlength="128" size="30" />
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("zone"); ?>" ><? $conf['help']->show_help_link('zone'); ?> Zone: </td>
                <td>
			<?
			$sql = "SELECT id FROM zone ORDER BY name";
			$db_result = mysql_query($sql, $conf[dbh]);

			$zones = array();

			while ( $obj = mysql_fetch_object($db_result) ) {
				$zones[] = $obj->id;
			}

			$conf['ui']->show_zone_select($zones, $staging->zone);
			?>
                </td>
        </tr>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" width="100%">
                <td title="<? $conf['help']->display_plain_txt("staging_email"); ?>"><? $conf['help']->show_help_link('staging_email'); ?> Email: (optional) </td>
                <td><input name="email" value="<?= $staging->email ?>" maxlength="128" size="30" />
                </td>
        </tr>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>&nbsp;</td>
		<td>
	<? if ( $action == 'edit' ) { ?>
		<input type="submit" name="action" value="Update" />
		<input type="submit" name="action" value="Delete" />
		<input type="hidden" name="staging_id" value="<? echo $staging->id ?>" />
	<? } else { ?>
		<input type="submit" name="action" value="Create" />
	<? } ?>
		</td>
	</tr>
</table>
</form>
<? show_template('bborder'); ?>
